//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//
#include "cbase.h"
#include "hl2wars/map_bounderies.h"

// memdbgon must be the last include file in a .cpp file!!!
#include "tier0/memdbgon.h"

IMPLEMENT_NETWORKCLASS_ALIASED( MapBounderies, DT_MapBounderies );

BEGIN_NETWORK_TABLE( CMapBounderies, DT_MapBounderies )
END_NETWORK_TABLE()

//---------------------------------------------------------
// Save/Restore
//---------------------------------------------------------
//BEGIN_DATADESC( CMapBounderies )
//END_DATADESC()

LINK_ENTITY_TO_CLASS(info_map_boundary, CMapBounderies);

// a list of map bounderies to search quikly
#ifndef CLIENT_DLL
CEntityClassList<CMapBounderies> g_MapBounderiesList;
CMapBounderies *CEntityClassList<CMapBounderies>::m_pClassList = NULL;
#else
C_EntityClassList<CMapBounderies> g_MapBounderiesList;
CMapBounderies *C_EntityClassList<CMapBounderies>::m_pClassList = NULL;
#endif

CMapBounderies *GetMapBounderiesList()
{
	return g_MapBounderiesList.m_pClassList;
}

CMapBounderies::CMapBounderies()
{
	g_MapBounderiesList.Insert( this );
}

CMapBounderies::~CMapBounderies()
{
	g_MapBounderiesList.Remove( this );
}
